<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/24/2005 *
 * ===================                          Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_sponsor.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit sponsor account                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sponsorenaccount aendern                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (isGetRequestParameterSet('id')) {
	// Check for selected sponsor
	$result = SQL_QUERY_ESC("SELECT email, gender, surname, family FROM `{?_MYSQL_PREFIX?}_sponsor_data` WHERE `id`='%s' LIMIT 1",
		array(bigintval(getRequestParameter('id'))), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1) {
		// Remove sponsor
		if (isFormSent()) {
			// Load data and remember it in constants
			$content = SQL_FETCHARRAY($result);

			// Prepare data for the template
			$content['gender']  = translateGender($content['gender']);
			$content['reason']  = secureString(postRequestParameter('reason'));

			// Prepare message and send it away
			$message = loadEmailTemplate('del_sponsor', $content, bigintval(getRequestParameter('id')));
			sendEmail($content['email'], '{--ADMIN_SPONSOR_DELETE_SUBJECT--}', $message);

			// Remove account
			SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_sponsor_data` WHERE `id`='%s' LIMIT 1",
				array(bigintval(getRequestParameter('id'))), __FILE__, __LINE__);

			// Remove orders
			SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_sponsor_orders` WHERE `sponsor_id`='%s' LIMIT 1",
				array(bigintval(getRequestParameter('id'))), __FILE__, __LINE__);

			// Output message
			loadTemplate('admin_settings_saved', false, getMaskedMessage('ADMIN_SPONSOR_DELETED', bigintval(getRequestParameter('id'))));
		} elseif (isPostRequestParameterSet('no')) {
			// Do not delete him...
			redirectToUrl('modules.php?module=admin&amp;what=list_sponsor&amp;id='.bigintval(getRequestParameter('id')));
		} else {
			// Load data
			$content = SQL_FETCHARRAY($result);

			// Transfer data to constants for the template
			$content['gender'] = translateGender($content['gender']);
			$content['userid'] = bigintval(getRequestParameter('id'));

			// Display form
			loadTemplate('admin_del_sponsor', false, $content);
		}
	} else {
		// Sponsor not found!
		loadTemplate('admin_settings_saved', false, getMaskedMessage('ADMIN_SPONSOR_404', bigintval(getRequestParameter('id'))));
	}

	// Free result
	SQL_FREERESULT($result);
} else {
	// Not called by what-list_sponsor.php
	loadTemplate('admin_settings_saved', false, '{--ADMIN_CALL_NOT_DIRECTLY--}');
}

// [EOF]
?>
